import { operatorFetch } from '../../api/fetch';

// miniprogram/pages/platformFeeRecord/platformFeeRecord.js
Page({
  /**
   * 页面的初始数据
   */
  data: {
    pageNum: 1,
    pageSize: 10,
    dataList: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    this.fetchList({
      pageNum: this.data.pageNum,
      pageSize: this.data.pageSize,
    }).then(res => {
      if (res.data && res.data.length) {
        this.setData!({
          dataList: res.data,
        });
      }
    });
  },
  fetchList(entity) {
    return operatorFetch({
      url: '/operateBalance/rechages',
      data: entity,
    });
  },
  getMoreListItem() {
    this.fetchList({
      pageNum: this.data.pageNum + 1,
      pageSize: this.data.pageSize,
    })
      .then(res => {
        if (res.data && res.data.length) {
          this.setData!({
            dataList: [...this.data.dataList, ...res.data],
            pageNum: this.data.pageNum + 1,
          });
        }
      })
      .catch(err => {
        console.log(err);
      });
  },
});
